Some "SVG fill" dialog issues
Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15522

Description

Issues with the SVG fill dialog:

(a) If I select an invalid file (i.e., not a useable SVG) it doesn't complain or offer any sort of warning or error.

(b) The "files of type" doesn't include "*.SVG" but probably should as the default file type.

(c) The text at the top of the navigation dialog says "Select svg texture file" - SVG should be upper-case.

(d) The white box and the "..." next to it isn't that clear that you can use it to select a SVG file. Maybe "Load SVG" button.

Associated revisions

Revision 03e10eaa - 2014-05-04 01:57 PM - Nyall Dawson

Add SVG file filter to SVG fill pattern browse dialog (refs #6209)

History

#1 - 2012-08-16 10:08 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Subject changed from Some SVG fill issues to Some "SVG fill" dialog issues

- Category set to GUI

- Target version set to Version 2.0.0

#2 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#4 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
